%define	name	kbibtex
%define	version	0.1.5
%define	release	%mkrel 1
%define	Summary	KBibTeX is a BibTeX editor for KDE

Name:		%{name}
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
Source:		http://www.unix-ag.uni-kl.de/~fischer/kbibtex/download/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Publishing
Url:		http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
Patch0:		%{name}-0.1.5-filteredselection.patch
Patch1:		%{name}-0.1.5-viewdocument.patch
Patch2:		%{name}-0.1.5-gcc4.2.patch
Patch3:		%{name}-0.1.5-fileimporter.patch
Requires:	tetex-latex
BuildRequires:	kdelibs-devel
BuildRequires:  libxslt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KBibTeX is a BibTeX editor for KDE.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
#%patch2 -p0
%patch3 -p0

%build
./configure \
	--with-qt-dir=%{_prefix}/lib/qt3 \
        --disable-rpath \
        --mandir=%{_mandir} \
        --prefix=%{_prefix} \
        --datadir=%{_datadir} \
        --disable-debug 

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# menu
mkdir -p %{buildroot}%{_menudir}

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Office/Publishing"\
title="KBibTeX"\
longtitle="%{Summary}"\
command="%{name}"\
icon="%{name}.png"\
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --add-category="Office" \
  --add-category="Viewer" \
  --dir %{buildroot}%{_datadir}/applnk/Office %{buildroot}%{_datadir}/applnk/Office/*


rm -rf %{buildroot}/%{_datadir}/INSTALL
rm -rf %{buildroot}/%{_datadir}/README
rm -rf %{buildroot}/%{_datadir}/AUTHORS
rm -rf %{buildroot}/%{_datadir}/NEWS
rm -rf %{buildroot}/%{_datadir}/TODO
rm -rf %{buildroot}/%{_datadir}/COPYING

mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install %{buildroot}/%{_iconsdir}/crystalsvg/48x48/apps/kbibtex.png %{buildroot}/%{_liconsdir}
install %{buildroot}/%{_iconsdir}/crystalsvg/32x32/apps/kbibtex.png %{buildroot}/%{_iconsdir}
install %{buildroot}/%{_iconsdir}/crystalsvg/16x16/apps/kbibtex.png %{buildroot}/%{_miconsdir}

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache crystalsvg
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%attr(755,root,root)%{_bindir}/kbibtex
%attr(755,root,root) %{_libdir}/kde3/libkbibtexpart.*
%{_mandir}/man1/kbibtex*
%{_datadir}/applnk/Office/kbibtex.desktop
%{_datadir}/apps/kbibtex/
%{_datadir}/apps/kbibtexpart/
%{_datadir}/doc/HTML/*/kbibtex/
%{_datadir}/icons/crystalsvg/*/apps/kbibtex.png
%{_datadir}/services/kbibtex_part.desktop
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Jan 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2007.0
+ Revision: 112281
- Import kbibtex

